Bug 1856916 - mgr: make progress module more efficient
Summary: mgr: make progress module more efficient
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Mgr Plugins
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2
Assignee: Neha Ojha
QA Contact: Madhavi Kasturi
URL:
Whiteboard:
Depends On:
Blocks: 1856918
TreeView+ depends on / blocked
 
Reported: 2020-07-14 17:23 UTC by Neha Ojha
Modified: 2021-01-12 14:56 UTC (History)
5 users (show)

Fixed In Version: ceph-14.2.11-1.el8cp, ceph-14.2.11-1.el7cp
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1856918 (view as bug list)
Environment:
Last Closed: 2021-01-12 14:56:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph pull 36075 0 None closed nautilus: mgr/progress: Skip pg_summary update if _events dict is empty. 2021-01-04 11:05:36 UTC
Github ceph ceph pull 36076 0 None closed octopus: mgr/progress: Skip pg_summary update if _events dict is empty. 2021-01-04 11:05:37 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:56:35 UTC

Description Neha Ojha 2020-07-14 17:23:41 UTC
The progress module in the manager causes a lot of load, especially if the cluster is not healthy. This results in blocking of other modules like the prometheus endpoint.

Skip pg_summary update if _events dict is empty since the get call of pg_stats and pg_ready are expensive and are not necessary in this case. This avoids blocking other modules like the prometheus module

Comment 10 errata-xmlrpc 2021-01-12 14:56:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.